> For the complete documentation index, see [llms.txt](https://docs.pascom.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pascom.net/en/reference/data-resistance.md).

# Limits and Data Retention in the pascom.cloud

Here you can find an overview of limitations of file sizes, retentions and periods of data storage.

## Overview

A productive cloud telephone system accumulates a lot of data every day, which can quickly grow to an unmanageable size. In order to keep telephone systems in the pascom.cloud performant, there are a few thresholds, limits and time periods for the retention period of your data, which we list below.

| Description                                                 | Limitations                 | Period       |
| ----------------------------------------------------------- | --------------------------- | ------------ |
| Cleanup/retention of Chat Archiv                            | --                          | **365 Days** |
| Cleanup/retention of received/read markers on chat messages | --                          | **90 Days**  |
| Cleanup/retention of journal data                           | --                          | **365 Days** |
| Cleanup/retention of WhatsApp messages                      | --                          | **365 Days** |
| Cleanup/retention of recordings                             | --                          | **30 Days**  |
| Cleanup/retention of facimilies                             | --                          | **30 Days**  |
| Cleanup/retention of voicemails                             | --                          | **30 Days**  |
| Cleanup/retention of Voicemails sent by e-mail              | --                          | **7 Days**   |
| Filesize limit for voicemails                               | **25MB**                    | --           |
| Filesize limit via Filesharing                              | Filesize max. **100MB**     | --           |
| Upload filesize limitation of backups                       | Filesize max. **200MB**     | --           |
| Upload filesize limitation of prompts and music on hold     | Filesize max. **25MB**      | --           |
| REST API request limitation                                 | **120** Requests per minute | --           |
| Connections per user                                        | max. **5 connections**      | --           |
| Videoconferencing simultaneous camera streams               | max. **6 streams**          | --           |

If the retention period is too long for you, it can be reduced. Smaller periods reduce the amount of data and speed up the telephone system. Go to **Settings** in the admin dashboard and then to **System Settings**. There you will find the system variables listed below and can change the **value**.

| Description             | System Variable                                  |
| ----------------------- | ------------------------------------------------ |
| Chat Archiv             | sys.archive.configure.markerscron.expiration     |
| Anrufjournal            | sys.cdr.configure.cdrcron.expiration             |
| Fax-Dokumente           | sys.fax.configure.faxcron.expiration             |
| Gesprächsaufzeichnungen | sys.monitor.configure.monitorcron.expiration     |
| Voicemails              | sys.voicemail.configure.voicemailcron.expiration |

## Limits in the PASCOM Cloud

In order to keep our PASCOM Cloud performant and ensure optimal system stability for all customers, there are static data limitations for certain resources.

| Description           | Limit (Entries)            |
| --------------------- | -------------------------- |
| Phonebook             | 100,000 (Global phonebook) |
| Pause reasons         | 100                        |
| Speed dial number     | 1,000                      |
| Gateways              | 100                        |
| Provisioning profiles | 100                        |
| Firmware              | 10                         |
| Trunks                | 15                         |
| Emergency calls       | 15                         |
| Action conditions     | 50                         |
| Action templates      | 50                         |
| Call distributors     | 100                        |
| Announcements         | 15                         |
| Labels                | 100                        |
| IVR                   | 50                         |
| Music on hold         | 50                         |
| Connector             | 10                         |
| Scripts               | 50                         |
| Languages             | 10                         |
| System settings       | 50 (Custom entries)        |
| RestAPI accounts      | 10                         |
| Groups                | 50                         |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.pascom.net/en/reference/data-resistance.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `build a script that syncs our docs to a CMS` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
